Name:          moblin-panel-myzone
Version:       0.2.5
Release:       1%{?dist}
Summary:       Moblin Panel for MyZone

Group:         System Environment/Libraries
License:       GPLv2+
URL:           http://www.moblin.org
Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/moblin-panel-myzone-%{version}.tar.bz2
Patch0:        mpm-fixdso.patch

BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: jana-devel
BuildRequires: libmx-devel
BuildRequires: libsocialweb-devel
BuildRequires: mutter-meego-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool

BuildRequires: libtool

Requires: dbus

%description
The Moblin mutter panel for MyZone. MyZone allows you to see 
that status of friends on social networks, chekck what you 
have on in your calendar, and more.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
# %patch0 -p1 -b .fixdso

./autogen.sh --disable-capplet

%build
%configure --disable-static --disable-capplet
# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang meego-panel-myzone

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f meego-panel-myzone.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/gconf/schemas/meego-panel-myzone.schemas
%{_sysconfdir}/xdg/autostart/meego-panel-myzone.desktop
%{_libdir}/libpenge.so.*
%{_libexecdir}/meego-panel-myzone
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.myzone.service
%{_datadir}/applications/myzone.desktop
%{_datadir}/mutter-meego/panels/meego-panel-myzone.desktop
%{_datadir}/meego-panel-myzone

%files devel
%defattr(-,root,root,-)
%{_libdir}/libpenge.so
%{_libdir}/pkgconfig/penge.pc
%{_includedir}/meego-panel-myzone

%changelog
* Wed Sep  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.5-1
- Update to 0.2.5

* Mon Jul 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.34-2
- bump build

* Mon Jul 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.34-1
- new upstream 0.1.34 release

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-4
- Bump build for new evolution

* Wed May  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-3
- Rebuild for new evolution

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-2
- Add source file

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-1
- New upstream 0.0.13 release

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.12-1
- New upstream 0.0.12 release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.11-1
- New upstream 0.0.11 release

* Wed Oct 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.10-1
- New upstream 0.0.10 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.9-1
- New upstream 0.0.9 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Mon Sep 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Thu Sep 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-3
- Bump release

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-2
- Updates from review

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
